arrangers:
- link: artist/11185
  names:
    en: flashygoodness
catalog: N/A
categories:
- Game
category: Game
classification: Original Soundtrack
composers:
- link: artist/52652
  names:
    en: Big Giant Circles
- link: artist/40159
  names:
    en: Disasterpeace
covers: []
discs:
- disc_length: '14:56'
  name: Disc 1
  tracks:
  - names:
      English: Menu (You Can Have Mine)
    track_length: '6:29'
  - names:
      English: Cumulo Nimblers (HappiNESs feat. Disasterpeace)
    track_length: '3:05'
  - names:
      English: High Score! (Fight the Current - Flashy Mix)
    track_length: '5:22'
link: album/64972
lyricists: []
media_format: Digital
meta:
  added_date: 2017-01-22T12:43
  edited_date: 2017-01-22T01:00
  fetched_date: 2025-12-07T14:16
  ttl: 86400
  visitors: 1670
name: Journey of 1000 Stars OST
names:
  en: Journey of 1000 Stars OST
  ja: Journey of 1000 Stars OST
  ja-latn: Journey of 1000 Stars OST
notes: 'Music originally appeared on Big Giant Circles'' debut album, "Impostor Nostalgia"

  Track 1 composed by Big Giant Circles

  Track 2 composed by Big Giant Circles and Disasterpeace

  Track 3 composed by Big Giant Circles / Remixed by flashygoodness

  Artwork by Heather Penn

  Special thanks to Farbs'
organizations:
- &id001
  names:
    en: Big Giant Circles
  role: publisher
performers: []
picture_full: https://media.vgm.io/albums/27/64972/64972-1485074811.jpg
picture_small: https://medium-media.vgm.io/albums/27/64972/64972-1485074811.jpg
picture_thumb: https://thumb-media.vgm.io/albums/27/64972/64972-1485074811.jpg
platforms:
- Apple iOS
- Google Android
products:
- names:
    en: Journey of 1000 Stars
publish_format: Commercial
publisher: *id001
related: []
release_date: '2016-03-31'
release_events: []
release_price:
  price: Name Your Price
reprints: []
stores:
- link: http://biggiantcircles.bandcamp.com/album/journey-of-1000-stars-ost
  name: Bandcamp
- link: http://itunes.apple.com/us/album/journey-of-1000-stars-single/id1099475239
  name: iTunes
vgmdb_link: https://vgmdb.net/album/64972?perpage=99999
votes: 0
